Bug 427342 - Review Request: jday - A simple command to convert calendar dates to julian dates
Review Request: jday - A simple command to convert calendar dates to julian d...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 04:31 EST by Huzaifa S. Sidhpurwala
Modified: 2008-01-12 10:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 10:07:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2008-01-03 04:31:58 EST
Spec URL: http://www.geocities.com/fatema_mhs/jday.spec.txt
SRPM URL: http://www.geocities.com/fatema_mhs/jday-2.4-0.fc8.src.rpm
Description: 
A simple command to convert calendar dates to julian dates.
Quite useful in timing situations where you need elapsed time between dates.
Also useful for astronomy applications.
I want to include this in the astronomy spin of fedora.
Comment 1 Parag AN(पराग) 2008-01-03 04:47:50 EST
You need some SPEC cleanups and follow packaging guidelines as per given at
http://fedoraproject.org/wiki/Packaging/Guidelines

1) change source URL from
   http://jaist.dl.sourceforge.net/sourceforge/jday/jday-2.4.tar.gz
   to
   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
  check more on it http://fedoraproject.org/wiki/Packaging/SourceURL

2) SHOULD follow macros. READ more on it
http://fedoraproject.org/wiki/Packaging/Guidelines#head-e205651a2c97a6857ab748c20d8ea60c25e3a520/mono

3) ldconfig usage should be as per given
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-d0dbcb7eec27622a21df280009c5b089b02f5bef

4) you need to add -devel subpackage which includes header files and .so files


provide updated package links, updating release tag and adding correct changelog
of what change you did in SPEC.
Comment 2 Parag AN(पराग) 2008-01-03 04:52:13 EST
5) Don't include .a and .la files in %files. Fedora packaging guidelines
suggests
http://fedoraproject.org/wiki/Packaging/Guidelines#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7

6) usage of make should be as per given at
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e

7) This package does not honor compiler flags look at 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-8b14098227aebff1cf6188939e9d0877295ac448

Comment 3 Huzaifa S. Sidhpurwala 2008-01-03 06:07:57 EST
I have made the required changed to the spec please review the new spec at:
http://www.geocities.com/fatema_mhs/jday.spec.txt
and SRPM at:
http://www.geocities.com/fatema_mhs/jday-2.4-1.fc8.src.rpm
Comment 4 Parag AN(पराग) 2008-01-03 23:50:35 EST
1) You need to follow Source URL (macro using) as
   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
2) Don't use like this
   %_bindir/dbd
   use clean and not confusing and accepted way of writing in spec 
   %{_bindir}/dbd

3)Also, I see your spec file ends with .txt in SPEC url you provides. any reason?
SPEC file should end with .spec only.
Comment 5 Huzaifa S. Sidhpurwala 2008-01-04 00:37:54 EST
Made the necessary changes as requested.
The reason why i am calling the spec file as spec.txt because i am using free
yahoo web hosting to upload my files and it does not accept .spec when uploading
the files.

Again:
SPEC File: http://www.geocities.com/fatema_mhs/jday.spec.txt
SRPM: http://www.geocities.com/fatema_mhs/jday-2.4-1.f8.srpm
Comment 6 Parag AN(पराग) 2008-01-04 01:55:18 EST
Thanks for updates.
Will sponsor you after I see enough reviews from you to other people's packages.
and then review this officially also.
Comment 7 Huzaifa S. Sidhpurwala 2008-01-07 05:57:36 EST
SRPM:http://www.geocities.com/fatema_mhs/jday-2.4-1.fc8.src.rpm
Comment 8 Parag AN(पराग) 2008-01-07 06:18:37 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for RPM But NOT for RPM.
jday.src: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)
==>cosmetic message. 
+ source files match upstream url
817af56005d1346677271ed2fab63ef5  jday-2.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ jday.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package jday-2.4-1.fc9 ->
  Provides: libjday.so.2
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3.4) libjday.so.2 rtld(GNU_HASH)
+ Package jday-devel-2.4-1.fc9 ->
  Requires: jday = 2.4-1.fc9 libjday.so.2
+ Not a GUI App.
APPROVED.
Comment 9 Huzaifa S. Sidhpurwala 2008-01-07 20:47:20 EST
New Package CVS Request
=======================
Package Name: jday
Short Description: A Simple command to convert calendar dates to Julian dates
Owners: huzaifas
Branches:  F-8
InitialCC: huzaifsa
Cvsextras Commits: no

  

Comment 10 Kevin Fenzi 2008-01-07 22:18:15 EST
cvs done. 

Any reason to now allow cvsextras commits? 
Comment 11 Huzaifa S. Sidhpurwala 2008-01-07 22:26:10 EST
No,
Sorry i copy pasted this from somewhere else and this is an oversight
Can you do this please.
Comment 12 Kevin Fenzi 2008-01-07 22:37:24 EST
cvsextras added. Thanks. 
Comment 13 Parag AN(पराग) 2008-01-12 10:07:47 EST
Closing this Review ticket as this package is successfully built on koji for
requested branches.

Note You need to log in before you can comment on or make changes to this bug.